Debian Bug report logs - #663474
kernel-package: *** Cannot find lguest tools - kernel 3.3-rc7

version graph

Package: kernel-package; Maintainer for kernel-package is Manoj Srivastava <srivasta@debian.org>; Source for kernel-package is src:kernel-package.

Reported by: ja.amsellem@gmail.com

Date: Sun, 11 Mar 2012 15:15:02 UTC

Severity: important

Tags: patch

Found in version kernel-package/12.036+nmu2

Fixed in version kernel-package/12.036+nmu3

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#663474; Package kernel-package. (Sun, 11 Mar 2012 15:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to ja.amsellem@gmail.com:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sun, 11 Mar 2012 15:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johann AMSELLEM <ja.amsellem@gmail.com>
To: submit@bugs.debian.org
Subject: kernel-package: *** Cannot find lguest tools - kernel 3.3-rc7
Date: Sun, 11 Mar 2012 16:12:11 +0100
[Message part 1 (text/plain, inline)]
Package: kernel-package
Version: 12.036+nmu2
Severity: important



Building a 3.3-rc7 kernel with kernel-package 12.036+nmu2
fails with following error message :

Cannot find lguest tools.

-------------------

make -f debian/rules debian/stamp/conf/kernel-conf
make[2]: entrant dans le répertoire « /home/jo/Kernel_JO/linux-3.3-rc7 »
make[2]: « debian/stamp/conf/kernel-conf » est à jour.
make[2]: quittant le répertoire « /home/jo/Kernel_JO/linux-3.3-rc7 »
make[1]: quittant le répertoire « /home/jo/Kernel_JO/linux-3.3-rc7 »
echo done > debian/stamp/conf/minimal_debian
exec debian/rules  DEBIAN_REVISION=3.3-rc7-1  APPEND_TO_VERSION=-jo
INITRD=YES  kernel-image linux-headers
====== making target debian/stamp/conf/vars [new prereqs: ]======

debian/ruleset/targets/common.mk:286: *** Cannot find lguest tools. Arrêt.



Best regards,


-- System Information:
Debian Release: squeeze
Architecture: i686 (x86)

Kernel: Linux 3.2.9 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/zsh linked to /bin/zsh4

(Same on wheezy)


-- Configuration Files:


/etc/kernel-pkg.conf changed:

CONCURRENCY_LEVEL = 4
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#663474; Package kernel-package. (Sun, 11 Mar 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sun, 11 Mar 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 663474@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: ja.amsellem@gmail.com, 663474@bugs.debian.org
Subject: Re: Bug#663474: kernel-package: *** Cannot find lguest tools - kernel 3.3-rc7
Date: Sun, 11 Mar 2012 19:54:52 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2012-03-11 at 16:12 +0100, Johann AMSELLEM wrote:
> Package: kernel-package
> Version: 12.036+nmu2
> Severity: important
> 
> 
> 
> Building a 3.3-rc7 kernel with kernel-package 12.036+nmu2
> fails with following error message :
> Cannot find lguest tools.
> 
> 
> -------------------
> make -f debian/rules debian/stamp/conf/kernel-conf
> make[2]: entrant dans le répertoire « /home/jo/Kernel_JO/linux-3.3-rc7 »
> make[2]: « debian/stamp/conf/kernel-conf » est à jour.
> make[2]: quittant le répertoire « /home/jo/Kernel_JO/linux-3.3-rc7 »
> make[1]: quittant le répertoire « /home/jo/Kernel_JO/linux-3.3-rc7 »
> echo done > debian/stamp/conf/minimal_debian
> exec debian/rules  DEBIAN_REVISION=3.3-rc7-1  APPEND_TO_VERSION=-jo  INITRD=YES  kernel-image linux-headers 
> ====== making target debian/stamp/conf/vars [new prereqs: ]======
> 
> debian/ruleset/targets/common.mk:286: *** Cannot find lguest tools. Arrêt.

Yes, they moved yet again.  The fix is simple:

diff -Nru kernel-package-12.036+nmu2/kernel/ruleset/targets/common.mk kernel-package-12.036+nmu3/kernel/ruleset/targets/common.mk
--- kernel-package-12.036+nmu2/kernel/ruleset/targets/common.mk	2012-03-04 00:03:25.000000000 +0000
+++ kernel-package-12.036+nmu3/kernel/ruleset/targets/common.mk	2012-03-11 18:14:54.000000000 +0000
@@ -64,7 +64,7 @@
 			   echo "YES";					   \
 	   fi)
 
-LGUEST_SUBDIR = $(word 1,$(wildcard Documentation/lguest Documentation/virtual/lguest))
+LGUEST_SUBDIR = $(word 1,$(wildcard Documentation/lguest Documentation/virtual/lguest tools/lguest))
 
 define save_upstream_debianization
 @echo save_upstream_debianization
--- END ---

Ben.

-- 
Ben Hutchings
For every action, there is an equal and opposite criticism. - Harrison
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 11 Mar 2012 19:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#663474; Package kernel-package. (Sun, 11 Mar 2012 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ja.amsellem@gmail.com:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sun, 11 Mar 2012 20:45:03 GMT) Full text and rfc822 format available.

Message #17 received at 663474@bugs.debian.org (full text, mbox):

From: Johann AMSELLEM <ja.amsellem@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 663474@bugs.debian.org
Subject: Re: Bug#663474: kernel-package: *** Cannot find lguest tools - kernel 3.3-rc7
Date: Sun, 11 Mar 2012 21:42:48 +0100
[Message part 1 (text/plain, inline)]
>
> Yes, they moved yet again.  The fix is simple:
>
> diff -Nru kernel-package-12.036+nmu2/kernel/ruleset/targets/common.mkkernel-package-12.036+nmu3/kernel/ruleset/targets/
> common.mk
> --- kernel-package-12.036+nmu2/kernel/ruleset/targets/common.mk2012-03-04 00:03:25.000000000 +0000
> +++ kernel-package-12.036+nmu3/kernel/ruleset/targets/common.mk2012-03-11 18:14:54.000000000 +0000
> @@ -64,7 +64,7 @@
>                           echo "YES";                                     \
>           fi)
>
> -LGUEST_SUBDIR = $(word 1,$(wildcard Documentation/lguest
> Documentation/virtual/lguest))
> +LGUEST_SUBDIR = $(word 1,$(wildcard Documentation/lguest
> Documentation/virtual/lguest tools/lguest))
>
>  define save_upstream_debianization
>  @echo save_upstream_debianization
> --- END ---
>
> Ben.
>
>


With this, is it possible to continue to compile a kernel < 3.3 ?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#663474; Package kernel-package. (Sun, 11 Mar 2012 21:06:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Sun, 11 Mar 2012 21:07:33 GMT) Full text and rfc822 format available.

Message #22 received at 663474@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: ja.amsellem@gmail.com, 663474@bugs.debian.org
Subject: Re: Bug#663474: kernel-package: *** Cannot find lguest tools - kernel 3.3-rc7
Date: Sun, 11 Mar 2012 21:02:31 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2012-03-11 at 21:42 +0100, Johann AMSELLEM wrote:
>         Yes, they moved yet again.  The fix is simple:
>         
>         diff -Nru kernel-package-12.036
>         +nmu2/kernel/ruleset/targets/common.mk kernel-package-12.036
>         +nmu3/kernel/ruleset/targets/common.mk
>         --- kernel-package-12.036
>         +nmu2/kernel/ruleset/targets/common.mk 2012-03-04
>         00:03:25.000000000 +0000
>         +++ kernel-package-12.036
>         +nmu3/kernel/ruleset/targets/common.mk 2012-03-11
>         18:14:54.000000000 +0000
>         @@ -64,7 +64,7 @@
>                                   echo "YES";
>         \
>                   fi)
>         
>         -LGUEST_SUBDIR = $(word 1,$(wildcard Documentation/lguest
>         Documentation/virtual/lguest))
>         +LGUEST_SUBDIR = $(word 1,$(wildcard Documentation/lguest
>         Documentation/virtual/lguest tools/lguest))
>         
>          define save_upstream_debianization
>          @echo save_upstream_debianization
>         --- END ---
>         
>         Ben.
>         
>          
> 
> 
> With this, is it possible to continue to compile a kernel < 3.3 ? 

Yes.

Ben.

-- 
Ben Hutchings
For every action, there is an equal and opposite criticism. - Harrison
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Wed, 15 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Information stored :
Bug#663474; Package kernel-package. (Wed, 15 Aug 2012 16:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 15 Aug 2012 16:15:14 GMT) Full text and rfc822 format available.

Message #29 received at 663474-quiet@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 654451-quiet@bugs.debian.org, 654315-quiet@bugs.debian.org, 663474-quiet@bugs.debian.org, kernel-package@packages.debian.org
Subject: Re: Announce of an upcoming upload for the kernel-package package
Date: Wed, 15 Aug 2012 12:14:08 -0400
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've prepared an NMU for kernel-package (versioned as 12.036+nmu3) and
uploaded it to DELAYED/11. Please feel free to tell me if I should delay
it longer.

The full debdiff compressed is attached, the short one excludes
translations, to ease review from the RT.

Regards

David


[deb.diff.xz (application/x-xz, attachment)]
[deb_notrans.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Sun, 26 Aug 2012 16:51:16 GMT) Full text and rfc822 format available.

Notification sent to ja.amsellem@gmail.com:
Bug acknowledged by developer. (Sun, 26 Aug 2012 16:51:16 GMT) Full text and rfc822 format available.

Message #34 received at 663474-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 663474-close@bugs.debian.org
Subject: Bug#663474: fixed in kernel-package 12.036+nmu3
Date: Sun, 26 Aug 2012 16:47:39 +0000
Source: kernel-package
Source-Version: 12.036+nmu3

We believe that the bug you reported is fixed in the latest version of
kernel-package, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663474@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated kernel-package package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 Aug 2012 11:46:24 -0400
Source: kernel-package
Binary: kernel-package
Architecture: source all
Version: 12.036+nmu3
Distribution: unstable
Urgency: low
Maintainer: Manoj Srivastava <srivasta@debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 kernel-package - A utility for building Linux kernel related Debian packages.
Closes: 654315 654451 663474
Changes: 
 kernel-package (12.036+nmu3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix typos in man pages, thanks to Chris Leick, and other formatting
     errors. (Closes: #654451)
   * Add German man pages translation by Chris Leick. (Closes: #654315)
   * Update man pages French translation.
   * kernel/ruleset/targets/common.mk: Allow building > 3.3 kernel, thanks to
     Ben Hutchings for the patch. (Closes: #663474)
Checksums-Sha1: 
 3aceb8bb44269d02a6f3b5b1321c59fa489f415e 1612 kernel-package_12.036+nmu3.dsc
 f392800937deaf938a6ee6294cc0ae7c5ff0366e 579717 kernel-package_12.036+nmu3.tar.gz
 fd9036ce388d100f18e581aaeab69c05c766a1fb 520106 kernel-package_12.036+nmu3_all.deb
Checksums-Sha256: 
 0f56284e9edc769a42445785fb866b04100a6015abaa8c1be6a8b4aa0122d309 1612 kernel-package_12.036+nmu3.dsc
 071d020168f25237517f1c1aa47008ce60f70545bcd4772e7c5406578bb5a351 579717 kernel-package_12.036+nmu3.tar.gz
 843b30cbb47e30c5518414cfb360241cb4efb325704c17cf0e0766741f41871d 520106 kernel-package_12.036+nmu3_all.deb
Files: 
 e4a1408ba780cc87973bfffb8b10490e 1612 kernel optional kernel-package_12.036+nmu3.dsc
 271aea1c94cefa5078b20bfe1207a14d 579717 kernel optional kernel-package_12.036+nmu3.tar.gz
 909e88360709c55580d40cffff6149bc 520106 kernel optional kernel-package_12.036+nmu3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQK8eeAAoJELgqIXr9/gnyUEIQALJL2fVX94PJHdQa2PqIdZgg
lvdhPLDqn2YxwvY0C3jF6tQTyzaHKH80BhZl43VoerEQ5vhfc7iMO4RXEtbtw3eT
5hJZi3tqngZjleq/zuxFI+p2kdoiOVMDflLkZSqfsK8bczGmAlHvPrbWjtu8Sfjo
5EkB0OYELFATXBuY9Vu6eyxLdp25OgqOnHODT2GeT6YOTRRAivU+98sJuf5nhNyB
XIPuCm+plhpb1Fg5h5RAYqVNoRXNJ2CpfzOxoza4FSDSLSLQr184tf8GC+bkfmSq
bASl932rJaUNRvp/YAWyrSq9Gn6+jijxLIKgHb5gSTTWY0FhyfcOblty67K0xJ9T
WTmcp5vwtgizCbkJHKRimTCu5570bfTNkKSgw3JiUCA8sO5UQ7dOvKe0EOq+iBil
SfcUrH713lAtlIsWUpvn+hZPuFoWufDyzo2CLbnEFNK/uLKHK011Lr5ja/zxcOoy
BpImoOQUmi7iJAEPSCaojv0TyrTodXEgvfB9/Ima+h7gj9LSDGJ6+BhvFkdyG3i8
NyDbJpovs4J4Z8enEqHnq4Pfzy8LiiCWNpRwuTgORi2HXh5s2MNdCKVPxtFD/5yh
sPcREodoYriYQhRfrSv8AnVB5F0HL0iqs+xFcK4QglGHH5+EM3BTu9VaP49x4Aus
d25QVi0XVfCUhiZjmi6l
=HFk0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 04 Oct 2012 07:27:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:43:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.